/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollarCatalog;
import com.jeeplus.modules.workitemcollar.dao.WorkItemCollarCatalogDao;

/**
 * 领用物品子表Service
 * @author chenyuping
 * @version 2018-07-16
 */
@Service
@Transactional(readOnly = true)
public class WorkItemCollarCatalogService extends CrudService<WorkItemCollarCatalogDao, WorkItemCollarCatalog> {

	public WorkItemCollarCatalog get(String id) {
		return super.get(id);
	}
	
	public List<WorkItemCollarCatalog> findList(WorkItemCollarCatalog workItemCollarCatalog) {
		return super.findList(workItemCollarCatalog);
	}
	
	public Page<WorkItemCollarCatalog> findPage(Page<WorkItemCollarCatalog> page, WorkItemCollarCatalog workItemCollarCatalog) {
		return super.findPage(page, workItemCollarCatalog);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkItemCollarCatalog workItemCollarCatalog) {
		super.save(workItemCollarCatalog);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkItemCollarCatalog workItemCollarCatalog) {
		super.delete(workItemCollarCatalog);
	}
	
	
	
	
}